%define debug_package %{nil}

Name:	pragha
Version: 1.3.99.1
Release: 9%{?dist}
Summary: Music player
License: GPL-3.0
Source: https://github.com/pragha-music-player/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.bz2
Requires: %{name}-data = %{version}
Recommends: %{name}-plugins = %{version}, %{name}-lang = %{version}
BuildRequires: gcc, gcc-c++, gtk3-devel, sqlite-devel
BuildRequires: xfce4-dev-tools, intltool, taglib-devel, libpeas-devel
BuildRequires: libmtp-devel
%if 0%{?suse_version} > 1
BuildRequires: gstreamer-plugins-base-devel, libgudev-1_0-devel
%else
# Fedora
BuildRequires: gstreamer1-plugins-base-devel, libgudev-devel
%endif
%if %{with lyrics}
BuildRequires: libglyr-devel
%endif

%prep
%setup -q

%build
%configure --docdir=%{_docdir}/%{name}
make

%install
%make_install
%find_lang %{name} || true
find ${RPM_BUILD_ROOT}%{_libdir} -name '*.la' -delete || true

%description
A music player

%files
%{_bindir}/%{name}
%{_libdir}/%{name}/*.so
%doc ChangeLog FAQ NEWS README

%package data
BuildArch: noarch
Requires: %{name} = %{version}
Summary: Data files for %{name} package

%description data
Architecture-independent data files for the %{name} package

%files data
%{_datadir}/%{name}/*
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/pixmaps/%{name}/*
%{_datadir}/applications/*
%{_datadir}/metainfo/*
%{_mandir}/man1/*

%package plugins
Requires: %{name} = %{version}
Summary: Plugins for %{name} package

%description plugins
Plugins for the %{name} package

%files plugins
%{_libdir}/%{name}/plugins/*

%package devel
Requires: %{name} = %{version}
Summary: Development files for %{name} package

%description devel
Development files for %{name} package

%files devel
%{_includedir}/lib%{name}
%{_libdir}/pkgconfig/*

%package lang
BuildArch: noarch
Requires: %{name} = %{version}
Summary: Translations for %{name} package

%description lang
Translations for the %{name} package

%files lang -f %{name}.lang

